Configure Sync
curl --request POST \
--url https://api.jtl-cloud.com/erp/workers/{syncId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-tenant-id: <x-tenant-id>' \
--data '
{
"Interval": "00:05:00",
"Configs": [
{
"Identifier": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"Value": "true"
}
]
}
'import requests
url = "https://api.jtl-cloud.com/erp/workers/{syncId}"
payload = {
"Interval": "00:05:00",
"Configs": [
{
"Identifier": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"Value": "true"
}
]
}
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
Interval: '00:05:00',
Configs: [{Identifier: '3c90c3cc-0d44-4b50-8888-8dd25736052a', Value: 'true'}]
})
};
fetch('https://api.jtl-cloud.com/erp/workers/{syncId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"Identifier": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"SyncName": "Ebay",
"SalesChannelName": "Shop",
"SalesChannelId": "1-1-1",
"ReportProgress": false,
"Configurations": [
{
"Identifier": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"DisplayName": "Create orders",
"DisplayDescription": "Create orders for every Sales",
"Type": "bool",
"CurrentValue": "false",
"IsRequired": false
}
],
"Interval": "00:05:00"
}{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}worker
Configure Sync
Restart the Worker
POST
/
workers
/
{syncId}
Configure Sync
Authorizations
oauth2-authorization-codeoauth2-client-credentials
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.
The tenant ID for the target ERP instance.
Path Parameters
Body
application/json
The relevant Information of the Sync Item
Response
The changed Worker Configuration
Model Class: WorkerSyncItem
the Name of the Sync
Example:
"Ebay"
The Name of the Sales Channel
Example:
"Shop"
Example:
"1-1-1"
The Sync can Report Progress in Percent
Example:
false
The Configurations
Show child attributes
Show child attributes
The Sync Interval
Example:
"00:05:00"
Was this page helpful?
⌘I